> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# SearchTokens



## OpenAPI

````yaml sequence-metadata.json post /rpc/Metadata/SearchTokens
openapi: 3.0.0
info:
  title: Sequence Metadata
  version: 0.0.1
servers:
  - url: https://metadata.sequence.app/
    description: Metadata
security: []
tags:
  - name: public
    description: >-
      Endpoints accessible by passing your project-access-key in the header.
      This is injected whenever you login automatically.
  - name: secret
    description: >-
      Endpoints that require a Sequence service token intended to be secret. You
      can manually generate one on Sequence Builder and pass it as a Bearer
      Token.
paths:
  /rpc/Metadata/SearchTokens:
    post:
      tags:
        - public
      summary: SearchTokens
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Metadata_SearchTokens_Request'
            examples:
              '0':
                value:
                  chainID: '80002'
                  q: skyweaver
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metadata_SearchTokens_Response'
              examples:
                '0':
                  value:
                    tokenMetadata:
                      - tokenId: '107'
                        name: Season 0 Floof 107
                        description: ''
                        image: https://nft.flooftopia.org/images/Floof_80001_107.png
                        properties:
                          000_season:
                            name: season
                            value: Season 0
                          005_floofId:
                            name: Floof ID
                            value: '107'
                          010_head_indices_shape:
                            name: Head Shape
                            value: Egg
                          015_head_indices_nose:
                            name: Nose
                            value: Dog Nose
                          020_head_indices_mouth:
                            name: Mouth
                            value: Smiley
                          025_head_indices_ears:
                            name: Ears
                            value: Curly Loppy
                          030_head_shape:
                            name: Head Shape Options
                            value:
                              - 4
                              - 2
                              - -8
                          035_head_eye:
                            name: Eye Options
                            value:
                              - 2
                              - 21
                              - -38
                          040_head_eyeColor:
                            name: Eye Color
                            value: (R=0.018500,G=0.001214,B=0.009721,A=1.000000)
                          045_head_nose:
                            name: Nose Options
                            value:
                              - -22
                              - -6
                          050_head_mouth:
                            name: Mouth Options
                            value:
                              - -61
                              - 61
                          055_head_ears:
                            name: Ears Options
                            value:
                              - 19
                              - 14
                              - 4
                          060_fur_indices_length:
                            name: Fur Length
                            value: Short
                          065_fur_indices_pattern:
                            name: Fur Pattern
                            value: Patches
                          070_fur_color:
                            name: Fur Color
                            value: (R=0.361307,G=0.155926,B=0.012286,A=1.000000)
                          075_fur_color_pattern:
                            name: Pattern Color
                            value: (R=0.016807,G=0.001214,B=0.005182,A=1.000000)
                          080_fur_pattern:
                            name: Fur Pattern Options
                            value:
                              - -45
                              - 50
                          085_extras_indices_attachments:
                            name: Attachment
                            value: Deer Antlers
                          090_extras_indices_tail:
                            name: Tail
                            value: Fox Tail
                          095_extras_attachments:
                            name: Attachment Options
                            value:
                              - -4
                              - -18
                              - -16
                          100_extras_tail:
                            name: Tail Options
                            value:
                              - -61
                              - 14
                          200_background_sky:
                            name: Background Sky
                            value: Blue Sky
                          205_background_middle:
                            name: Background Middle
                            value: Mountains
                          210_background_ground:
                            name: Background Ground
                            value: Grassy Field
                          215_background_item_l:
                            name: Background Left Item
                            value: Present
                          220_background_item_r:
                            name: Background Right Item
                            value: Skyweaver
                        attributes: null
                        external_url: https://www.flooftopia.org
                        decimals: 0
                        updatedAt: '2023-11-16T19:48:51.110477Z'
                    nextPage:
                      page: 2
                      pageSize: 30
                      more: true
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcEndpoint'
                  - $ref: '#/components/schemas/ErrorWebrpcRequestFailed'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRoute'
                  - $ref: '#/components/schemas/ErrorWebrpcBadMethod'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRequest'
                  - $ref: '#/components/schemas/ErrorWebrpcClientDisconnected'
                  - $ref: '#/components/schemas/ErrorWebrpcStreamLost'
                  - $ref: '#/components/schemas/ErrorUnauthorized'
                  - $ref: '#/components/schemas/ErrorPermissionDenied'
                  - $ref: '#/components/schemas/ErrorSessionExpired'
                  - $ref: '#/components/schemas/ErrorMethodNotFound'
                  - $ref: '#/components/schemas/ErrorRequestConflict'
                  - $ref: '#/components/schemas/ErrorGeoblocked'
                  - $ref: '#/components/schemas/ErrorTimeout'
                  - $ref: '#/components/schemas/ErrorInvalidArgument'
                  - $ref: '#/components/schemas/ErrorRequiredArgument'
                  - $ref: '#/components/schemas/ErrorQueryFailed'
                  - $ref: '#/components/schemas/ErrorValidationFailed'
                  - $ref: '#/components/schemas/ErrorRateLimited'
                  - $ref: '#/components/schemas/ErrorNotFound'
                  - $ref: '#/components/schemas/ErrorProjectNotFound'
                  - $ref: '#/components/schemas/ErrorChainNotFound'
                  - $ref: '#/components/schemas/ErrorTokenDirectoryDisabled'
        5XX:
          description: Server error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcBadResponse'
                  - $ref: '#/components/schemas/ErrorWebrpcServerPanic'
                  - $ref: '#/components/schemas/ErrorWebrpcInternalError'
                  - $ref: '#/components/schemas/ErrorFail'
      security:
        - ApiKeyAuth:
            - AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
components:
  schemas:
    Metadata_SearchTokens_Request:
      type: object
      properties:
        q:
          type: string
        chainID:
          type: string
        page:
          $ref: '#/components/schemas/Page'
    Metadata_SearchTokens_Response:
      type: object
      properties:
        tokenMetadata:
          type: array
          description: '[]TokenMetadata'
          items:
            $ref: '#/components/schemas/TokenMetadata'
        nextPage:
          $ref: '#/components/schemas/Page'
    ErrorWebrpcEndpoint:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcEndpoint
        code:
          type: number
          example: 0
        msg:
          type: string
          example: endpoint error
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcRequestFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcRequestFailed
        code:
          type: number
          example: -1
        msg:
          type: string
          example: request failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadRoute:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRoute
        code:
          type: number
          example: -2
        msg:
          type: string
          example: bad route
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorWebrpcBadMethod:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadMethod
        code:
          type: number
          example: -3
        msg:
          type: string
          example: bad method
        cause:
          type: string
        status:
          type: number
          example: 405
    ErrorWebrpcBadRequest:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRequest
        code:
          type: number
          example: -4
        msg:
          type: string
          example: bad request
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcClientDisconnected:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcClientDisconnected
        code:
          type: number
          example: -8
        msg:
          type: string
          example: client disconnected
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcStreamLost:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcStreamLost
        code:
          type: number
          example: -9
        msg:
          type: string
          example: stream lost
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnauthorized:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unauthorized
        code:
          type: number
          example: 1000
        msg:
          type: string
          example: Unauthorized access
        cause:
          type: string
        status:
          type: number
          example: 401
    ErrorPermissionDenied:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: PermissionDenied
        code:
          type: number
          example: 1001
        msg:
          type: string
          example: Permission denied
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorSessionExpired:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: SessionExpired
        code:
          type: number
          example: 1002
        msg:
          type: string
          example: Session expired
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorMethodNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MethodNotFound
        code:
          type: number
          example: 1003
        msg:
          type: string
          example: Method not found
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorRequestConflict:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequestConflict
        code:
          type: number
          example: 1004
        msg:
          type: string
          example: Conflict with target resource
        cause:
          type: string
        status:
          type: number
          example: 409
    ErrorGeoblocked:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Geoblocked
        code:
          type: number
          example: 1006
        msg:
          type: string
          example: Geoblocked region
        cause:
          type: string
        status:
          type: number
          example: 451
    ErrorTimeout:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Timeout
        code:
          type: number
          example: 2000
        msg:
          type: string
          example: Request timed out
        cause:
          type: string
        status:
          type: number
          example: 408
    ErrorInvalidArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidArgument
        code:
          type: number
          example: 2001
        msg:
          type: string
          example: Invalid argument
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorRequiredArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequiredArgument
        code:
          type: number
          example: 2002
        msg:
          type: string
          example: Required argument missing
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorQueryFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: QueryFailed
        code:
          type: number
          example: 2003
        msg:
          type: string
          example: Query failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorValidationFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ValidationFailed
        code:
          type: number
          example: 2004
        msg:
          type: string
          example: Validation failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorRateLimited:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RateLimited
        code:
          type: number
          example: 2005
        msg:
          type: string
          example: Rate limited
        cause:
          type: string
        status:
          type: number
          example: 429
    ErrorNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotFound
        code:
          type: number
          example: 3000
        msg:
          type: string
          example: Resource not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorProjectNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ProjectNotFound
        code:
          type: number
          example: 3002
        msg:
          type: string
          example: Project not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorChainNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ChainNotFound
        code:
          type: number
          example: 3003
        msg:
          type: string
          example: Chain not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorTokenDirectoryDisabled:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: TokenDirectoryDisabled
        code:
          type: number
          example: 4001
        msg:
          type: string
          example: Token Directory is disabled
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadResponse:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadResponse
        code:
          type: number
          example: -5
        msg:
          type: string
          example: bad response
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcServerPanic:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcServerPanic
        code:
          type: number
          example: -6
        msg:
          type: string
          example: server panic
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcInternalError:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcInternalError
        code:
          type: number
          example: -7
        msg:
          type: string
          example: internal error
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorFail:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Fail
        code:
          type: number
          example: 1005
        msg:
          type: string
          example: Request Failed
        cause:
          type: string
        status:
          type: number
          example: 500
    Page:
      type: object
      properties:
        page:
          type: number
        column:
          type: string
        before:
          type: object
        after:
          type: object
        pageSize:
          type: number
        more:
          type: boolean
    TokenMetadata:
      type: object
      required:
        - tokenId
        - name
        - attributes
        - status
      properties:
        tokenId:
          type: string
        name:
          type: string
        description:
          type: string
        image:
          type: string
        video:
          type: string
        audio:
          type: string
        properties:
          type: object
          description: map<string,any>
          additionalProperties:
            type: object
        attributes:
          type: array
          description: '[]map<string,any>'
          items:
            type: object
            description: map<string,any>
            additionalProperties:
              type: object
        imageData:
          type: string
        externalUrl:
          type: string
        backgroundColor:
          type: string
        animationUrl:
          type: string
        decimals:
          type: number
        updatedAt:
          type: string
        assets:
          type: array
          description: '[]Asset'
          items:
            $ref: '#/components/schemas/Asset'
        status:
          $ref: '#/components/schemas/ResourceStatus'
        queuedAt:
          type: string
        lastFetched:
          type: string
    Asset:
      type: object
      required:
        - id
        - collectionId
        - metadataField
      properties:
        id:
          type: number
        collectionId:
          type: number
        tokenId:
          type: string
        url:
          type: string
        metadataField:
          type: string
        filename:
          type: string
        filesize:
          type: number
        mimeType:
          type: string
        width:
          type: number
        height:
          type: number
        updatedAt:
          type: string
    ResourceStatus:
      type: string
      description: Represented as uint32 on the server side
      enum:
        - NOT_AVAILABLE
        - STALE
        - AVAILABLE
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      description: >-
        Public project access key for authenticating requests obtained on
        Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
      name: X-Access-Key

````